import { useState } from "react";
import { Logo } from "./Logo";
import { Stats } from "./Stats";
import { Form } from "./Form";
import { PackagingList } from "./PackagingList";
const initialItems = [
  { id: 1, description: "Passports", quantity: 2, packed: false },
  { id: 2, description: "Socks", quantity: 12, packed: false },
  { id: 3, description: "Charger", quantity: 1, packed: false },
  { id: 4, description: "Boarding Pass", quantity: 5, packed: true },
];


function App() {
  const [items,setItems]=useState(initialItems)

  function handleAddItem(item){
    //This function will be invoked by Form Component on Click of Add
   setItems((items)=>[...items,item]);
    console.log(items);
  }


  function handleDeleteItem(id){
    //This function invoked by Item Component
    //App => PackageList ==> Item
    setItems((item)=> items.filter(item=>item.id!=id))
  }

  function handleToggleItem(id){
    setItems( (items) => items.map((item)=>
                    item.id === id  ? {...item,packed:!item.packed} : item
     )
    )
  }

  function handleClearList(){
    const confirmed=window.confirm('Are you want to Clear the List')
    if(confirmed)   setItems([]);
  }
  return (
    <div className="app">
      <Logo />
      <Form onAddItems={handleAddItem} />
      <PackagingList items={items} onDeleteItem={handleDeleteItem} 
      onToggleItem={handleToggleItem} onClearList={handleClearList} />
      <Stats items={items} />
    </div>
  );
}












export default App;
